curl --request POST \
--url https://api.anchorage-staging.com/v2/tax/transaction/{transactionId}/tag \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "SubaccountID",
"distributionCode": "7",
"postponedLateReason": "qualified-disaster",
"tag": "contribution",
"taxYear": "2024",
"totalDistribution": true
}
'import requests
url = "https://api.anchorage-staging.com/v2/tax/transaction/{transactionId}/tag"
payload = {
"accountId": "SubaccountID",
"distributionCode": "7",
"postponedLateReason": "qualified-disaster",
"tag": "contribution",
"taxYear": "2024",
"totalDistribution": True
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: 'SubaccountID',
distributionCode: '7',
postponedLateReason: 'qualified-disaster',
tag: 'contribution',
taxYear: '2024',
totalDistribution: true
})
};
fetch('https://api.anchorage-staging.com/v2/tax/transaction/{transactionId}/tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"status": "accepted"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Add Tag to Transaction
Permissions required: Subaccount
Tag a prior transaction for tax purposes.
** Under development **
curl --request POST \
--url https://api.anchorage-staging.com/v2/tax/transaction/{transactionId}/tag \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "SubaccountID",
"distributionCode": "7",
"postponedLateReason": "qualified-disaster",
"tag": "contribution",
"taxYear": "2024",
"totalDistribution": true
}
'import requests
url = "https://api.anchorage-staging.com/v2/tax/transaction/{transactionId}/tag"
payload = {
"accountId": "SubaccountID",
"distributionCode": "7",
"postponedLateReason": "qualified-disaster",
"tag": "contribution",
"taxYear": "2024",
"totalDistribution": True
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: 'SubaccountID',
distributionCode: '7',
postponedLateReason: 'qualified-disaster',
tag: 'contribution',
taxYear: '2024',
totalDistribution: true
})
};
fetch('https://api.anchorage-staging.com/v2/tax/transaction/{transactionId}/tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"status": "accepted"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The ID of the transaction to tag (Same as the one returned for Transactions in the Subaccounts API )
Body
The subaccount for which the transaction happened.
"SubaccountID"
IRS distribution code for Form 1099-R. Required when tag is 'distribution'.
Single codes:
1: Early distribution, no known exception2: Early distribution, exception applies3: Disability4: Death7: Normal distribution8: Excess contributions plus earnings/excess deferrals taxable in current yearB: Designated Roth account distributionG: Direct rollover and direct paymentH: Direct rollover of a designated Roth account distribution to a Roth IRAJ: Early distribution from a Roth IRA, no known exceptionK: Distribution of traditional IRA assets not having a readily available FMVN: Recharacterized IRA contribution made for current yearP: Excess contributions plus earnings/excess deferrals taxable in prior yearQ: Qualified distribution from a Roth IRAR: Recharacterized IRA contribution made for prior yearS: Early distribution from a SIMPLE IRA in first 2 years, no known exceptionT: Roth IRA distribution, exception applies
Combination codes (two codes that apply to a single distribution):
18, 1B, 1K, 1P, 28, 2B, 2K, 2P, 48, 4B, 4G, 4H, 4K, 4P, 6B,
7B, 7K, 81, 82, 84, 8B, 8J, 8K, B1, B2, B4, B7, B8, BG, BL,
BP, G4, GB, GK, H4, J8, JP, K1, K2, K4, K7, K8, KG, LB, P1,
P2, P4, PB, PJ
1, 2, 3, 4, 7, 8, B, G, H, J, K, N, P, Q, R, S, T, 18, 1B, 1K, 1P, 28, 2B, 2K, 2P, 48, 4B, 4G, 4H, 4K, 4P, 6B, 7B, 7K, 81, 82, 84, 8B, 8J, 8K, B1, B2, B4, B7, B8, BG, BL, BP, G4, GB, GK, H4, J8, JP, K1, K2, K4, K7, K8, KG, LB, P1, P2, P4, PB, PJ "7"
Reason for postponed contribution or late rollover. Required when tag is 'postponed' or 'late-rollover'.
"qualified-disaster"
Tag to be attributed to the transaction.
contribution, transfer-in, conversion, distribution, transfer-out, recharacterization, late-rollover, postponed, rollover "contribution"
The fiscal year the transaction belongs to.
"2024"
Deprecated: This field is ignored. Total distribution is now auto-computed from account balances.
true
Response
Accepted tagging request
Show child attributes
Show child attributes
Was this page helpful?